Subject: Re: Are numbers REAL?
From: Acid Software <[email-masked]>
To: "GEORGAKAKIS, LOUIS, MR" <[email-masked]>
Cc: [email-masked]
Date: Thu, 21 Jul 1994 16:14:33 +1200 (NZST)

On Wed, 20 Jul 1994, GEORGAKAKIS,LOUIS,MR wrote:

> Can someone tell me why, when I write down this little program,
> it doesn't do what I tell it to?  Here:
> 
> Print 5.7896
> MouseWait
> 
> This should print out 5.7896 in a Shell window right? WRONG! It prints
> out:
> 
> 5.789599
> 
> Why?  WHY!?
> Sigh.
> 
> Nelson Santos
> Mr. Mig
> 
> 
Binary numbers don't store very well unless you use floating point. For 
speed Blitz defaults to fixed point, which means 2 to the power of hmmm, 
-14 is the smallest fraction, once you look at the number closest to this 
you can see in decimal the 3 rd place decimal get's shaky!

Anyway, either think binary like a good programmer or think floating 
point, I have warned against Blitz2 being suitable for large figures, 
both feminine and financial, so if it's one of the two ring HiSoft 
immediately.

Simon